<!doctype html>
<html lang="es_ES" charset="UTF-8" xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- Estilos personalizados -->
    <link href="css/custom.css" type="text/css" rel="stylesheet">

    <title th:text="${titulo}"></title>
</head>
<body>
<div th:include="_navbar :: navBar"></div>
<div class="container">
    <h1 class="text-secondary mb-3" th:text="${titulo}"></h1>
    <form th:action="@{/select}" th:object="${cat}" method="post">
        <div class="input-group mb-3">
            <label class="input-group-text" for="select01">Options</label>
            <select class="form-select" th:field="*{idCategoria}" id="select01" onchange="cambiar()">
                <div th:each="categoria: ${categorias}">
                    <option th:value="${categoria.idCategoria}"><span th:text="${categoria.categoria}"></span></option>
                </div>
            </select>
            <button class="btn btn-outline-success" type="submit">Confirmar</button>
        </div>
    </form>
    <div>
        <h4>Opción elegida: <span id="eleccion"></span></h4>
    </div>
    <div>
        <hr>
        <h4 th:text="${titulo2} + ' : ' + ${categoria2}"></h4>
    </div>

</div>

<!-- Optional JavaScript; choose one of the two! -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"
        integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF"
        crossorigin="anonymous"></script>
<script type="application/javascript">
    function cambiar() {
        var x = document.getElementById("select01").value;
        document.getElementById("eleccion").innerHTML =  x;
    }
</script>
</body>
</html>